/* GNU Chess 5.0 - book.h - book symbolic definitions Copyright (c) 1999-2002 
 * Free Software Foundation, Inc.
 * 
 * GNU Chess is based on the two research programs Cobalt by Chua Kong-Sian
 * and Gazebo by Stuart Cracraft.
 * 
 * GNU Chess is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2, or (at your option) any later
 * version.
 * 
 * GNU Chess is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with GNU Chess; see the file COPYING.  If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * 
 * Contact Info: bug-gnu-chess@gnu.org cracraft@ai.mit.edu,
 * cracraft@stanfordalumni.org, cracraft@earthlink.net */
#define BOOKSRC "book.src"

/* 
 * BookQuery() tries the following filenames in order to find
 * a valid opening book. The array must be NULL-terminated.
 */
static char const *bookbin[] = {
    "book.dat",
    "/usr/share/games/gnuchess/book.dat",
    "/usr/lib/games/gnuchess/book.dat",
    NULL
};

/* The book which BookBuilder() uses */
#define BOOKRUN "book.dat"

#define R_WHITE_WINS 1
#define R_BLACK_WINS 2
#define R_DRAW 3
#define R_NORESULT 4
#define BOOKDEPTH 20            /* We gobble this many moves from each PGN
                                 * book game */
